<template>
  <!-- 水路货物运单页面 -->
  <div class="shipTransport">
    <div class="top">

      <el-input class="el-input" placeholder="请输入内容" v-model="input" clearable> </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
    <dilTable v-bind.sync="option">
    </dilTable>
  </div>
  </div>
</template>

<script>
export default {
  name: "homeworkPath",
  data() {
    return {
      restaurants: [],
      input: "",
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/tms/listAllOrders?apiId=56",
      },
    };
  },
  mounted() {
  },
  methods: {
    onclick() {
      this.option.requestUrl = "/api/v1/tms/listAllOrders?apiId=56&con=" + this.input;
    },
    btnclick(pathId) {
      this.$router.push("/path/addHomeworkPath/" + pathId);
    },
  },
};
</script>
<style lang='scss' scoped>
.shipTransport {
  .top {
     padding: 1.25rem 0.375rem;
     .el-input{
       width: 20%;
       margin-right: 40rpx;
     }
     .btn{
       width: 5.5%;
       margin-left: 0.25rem;
     }

  }
}
</style>